
package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/12/18
 */
public class OrderSelfStationDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderId;

    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "自提点名称")
    private String stationName;

    @Schema(description = "自提人的手机")
    private String stationUserMobile;

    @Schema(description = "自提人的名字")
    private String stationUserName;

    @Schema(description = "自提时间(用户下单时选择)")
    private String stationTime;

    @Schema(description = "提货码")
    private String stationCode;

    @Schema(description = "自提点的地址")
    private String stationAddress;

    @Schema(description = "自提点的联系电话")
    private String stationPhone;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationUserMobile() {
        return stationUserMobile;
    }

    public void setStationUserMobile(String stationUserMobile) {
        this.stationUserMobile = stationUserMobile;
    }

    public String getStationUserName() {
        return stationUserName;
    }

    public void setStationUserName(String stationUserName) {
        this.stationUserName = stationUserName;
    }

    public String getStationTime() {
        return stationTime;
    }

    public void setStationTime(String stationTime) {
        this.stationTime = stationTime;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationAddress() {
        return stationAddress;
    }

    public void setStationAddress(String stationAddress) {
        this.stationAddress = stationAddress;
    }

    public String getStationPhone() {
        return stationPhone;
    }

    public void setStationPhone(String stationPhone) {
        this.stationPhone = stationPhone;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    @Override
    public String toString() {
        return "OrderSelfStationDTO{" +
                "orderId=" + orderId +
                ", stationId=" + stationId +
                ", stationName='" + stationName + '\'' +
                ", stationUserMobile='" + stationUserMobile + '\'' +
                ", stationUserName='" + stationUserName + '\'' +
                ", stationTime='" + stationTime + '\'' +
                ", stationCode='" + stationCode + '\'' +
                ", stationAddress='" + stationAddress + '\'' +
                ", stationPhone='" + stationPhone + '\'' +
                ", lng=" + lng +
                ", lat=" + lat +
                '}';
    }
}
